{
printf("Sandbox initialization starting\n");
//--------------------------------------  Enable the standard I/O
// G__loadfile("iostream.h");

//--------------------------------------  Load the shared libraries.
cout << "Loading libraries from <TARGET>/lib" << endl;
if (!gROOT->IsBatch()) {
    if (!gSystem->AccessPathName("<TARGET>/lib/libMData.so")) {
        gSystem->Load("<TARGET>/lib/libMData.so");
    }
    if (!gSystem->AccessPathName("<TARGET>/lib/libPanel.so")) {
        gSystem->Load("<TARGET>/lib/libPanel.so");
    }
}

//--------------------------------------  Set up the include directories.
G__add_ipath("<TARGET>/macros");
G__add_ipath("<TARGET>/include");

//--------------------------------------  Create a data access object.
const char* InPath = gSystem->Getenv("DMTINPUT");
if (!InPath || !*InPath) InPath = "<DMTINPUT>";
if (*InPath) {
    cout << "Connecting default input accessor (In) to " << InPath << endl;
    Dacc In(InPath);
} else {
    cout << "Default input accessor (In) not created. No DMTINPUT." << endl;
}

//--------------------------------------  Create a display canvas.
if (!gROOT->IsBatch()) {
    TCanvas gds("cGDS", "GDS Data Monitor Tool");
}

//--------------------------------------  Load some common functions.
gROOT->LoadMacro("uniqueName.cc");
gROOT->LoadMacro("TPlot.cc");
gROOT->LoadMacro("THist.cc");
gROOT->LoadMacro("Bode.cc");
gROOT->LoadMacro("Spectrum.cc");
gROOT->LoadMacro("DatEnv.hh");
gROOT->LoadMacro("DatEnv.cc");

printf("Sandbox initialization complete\n");
}
