#include <detect.h>

/*----------------------------------------------------------------------*
 *	Function: BOOL E_remove(dtector) - Remove a dtector     	*
 *----------------------------------------------------------------------*
 *	Arguments:	struct detect_info *dtector - calling info	*
 *----------------------------------------------------------------------*
 *	Returns:	Returns TRUE if job completed sucessfully	*
 *----------------------------------------------------------------------*
 *	This routine is called when one of the dtectors is no longer	*
 *	needed or is to be changed by calling E_create.  It frees the 	*
 *	memory the dtector was using and ensures that the dtector	*
 *	won't be called again unless it is created anew.		*
 *----------------------------------------------------------------------*/

BOOL E_remove(dtector)
struct detect_info *dtector;
{

	/* free input continuity area */
	if (dtector->incontd!=NULL) free((BYTE *) dtector->incontd);
	/* free lookback area */
	if (dtector->lbkarr!=NULL) free((BYTE *) dtector->lbkarr);

	dtector->sam_sec=0;
	dtector->drectyp=9999;		/* Illegal record type */
	dtector->datapts=0;
	dtector->lbksize=0;
	dtector->detname=NULL;

	return(TRUE);

}

